import * as core from "@terrascript/core";

export interface DsLbHostedZoneIdArgs {
  loadBalancerType?: string | core.StringOut;

  region?: string | core.StringOut;
}

export class DsLbHostedZoneId extends core.Data<DsLbHostedZoneIdArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public loadBalancerType?: string | core.StringOut;

  @core.attr(String)
  public region?: string | core.StringOut;

  constructor(name: string, args?: DsLbHostedZoneIdArgs) {
    super(name, "aws_lb_hosted_zone_id", args);
  }

  public override getNamespace(): string {
    return "aws_elb";
  }
}
